/*
 * Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms
 * and conditions in the IBM International Program License Agreement.
 *
 * (C) Copyright IBM Corporation 2003, 2004. All Rights Reserved. 
 */

package com.ibm.xtools.pluglets.ui.samples.workbench;

import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.core.runtime.IExtension;
import org.eclipse.core.runtime.IExtensionPoint;
import org.eclipse.core.runtime.IExtensionRegistry;
import org.eclipse.core.runtime.Platform;

import com.ibm.xtools.pluglets.Pluglet;

/**
 * List workbench perspectives.
 */
public class ListPerspectives extends Pluglet {

	public void plugletmain(String[] args) {
		IExtensionRegistry registry = Platform.getExtensionRegistry();
		IExtensionPoint epoint = registry
			.getExtensionPoint("org.eclipse.ui.perspectives"); //$NON-NLS-1$
		IExtension[] extensions = epoint.getExtensions();

		out.println("Perspectives are: "); //$NON-NLS-1$
		for (int i = 0; i < extensions.length; i++) {
			IExtension extension = extensions[i];
			IConfigurationElement[] elems = extension
				.getConfigurationElements();
			IConfigurationElement perspective = elems[0];
			String perspectiveId = perspective.getAttribute("id"); //$NON-NLS-1$
			String perspectiveName = perspective.getAttribute("name"); //$NON-NLS-1$
			out.println("\t" + perspectiveName + //$NON-NLS-1$
				" (" + perspectiveId + //$NON-NLS-1$
				")"); //$NON-NLS-1$
		}
	}

}