<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:defaultpatternprofile="http:///defaultpatternprofile.ecore" xmlns:defaultprofile="http:///defaultprofile.ecore" xmlns:xalan="org.apache.xalan.xslt.extensions.Redirect" extension-element-prefixes="xalan">
	<!-- this stylesheet is really only a fragment. It uses variables that are 
	defined in a different file.  The two files are merged at runtime to create
	a full transform -->
	<xsl:output method="html" encoding="UTF-8" />
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<meta name="copyright" content="(C) Copyright IBM Corporation 2004" />
				<meta name="DC.rights.owner" content="(C) Copyright IBM Corporation 2004" />
				<meta name="security" content="public" />
				<meta name="Robots" content="index,follow" />
				<meta http-equiv="PICS-Label" content='(PICS-1.1 "http://www.icra.org/ratingsv02.html" l gen true r (cz 1 lz 1 nz 1 oz 1 vz 1) "http://www.rsac.org/ratingsv01.html" l gen true r (n 0 s 0 v 0 l 0) "http://www.classify.org/safesurf/" l gen true r (SS~~000 1))' />
				<meta name="DC.Format" content="XHTML" />
				<meta name="DC.Language" content="en-us" />
				<!-- All rights reserved. Licensed Materials Property of IBM -->
				<!-- US Government Users Restricted Rights -->
				<!-- Use, duplication or disclosure restricted by -->
				<!-- GSA ADP Schedule Contract with IBM Corp. -->
				<link rel="stylesheet" type="text/css" href="../../../../com.ibm.help.doc/ibmdita.css" />
				<link rel="stylesheet" type="text/css" href="../../../../com.ibm.help.doc/swg_info_common.css" />
				<title>Pattern Parameters</title>
			</head>
			<body>
				<h1 class="topictitle">
					<xsl:value-of select="./defaultprofile:Asset/@name" /> <xsl:value-of select="$Parameters" />
				</h1>
				<div>
				<xsl:for-each select="defaultprofile:Asset/classification/specification/parameter">
				<table cellpadding="4" cellspacing="0" summary="" class="skipspace" border="0">
					<tr> <td> <a href="#{@name}">
					<xsl:value-of select="@name" />
				</a> </td></tr>
				</table>
				</xsl:for-each>
				<p/>
				<xsl:for-each select="defaultprofile:Asset/classification/specification/parameter">
				<b>
				    <a name="{@name}">
					<xsl:value-of select="@name" />
					</a> 
				</b>
				<p> <xsl:value-of select="@shortDescription" /></p>
				<table cellpadding="4" cellspacing="0" summary="" class="skipspace" border="0">
					<tr>
						<td align="left" valign="top">
						<xsl:value-of select="$PatternsSpecificationType" />
						</td>
						<td align="left" valign="top">
							<xsl:value-of select="@type" />
						</td>
					</tr>
					<tr>
					    <td align="left" valign="top">
					    <xsl:value-of select="$PatternsSpecificationVisible" />
					    </td>
						<td align="left" valign="top">
							<xsl:value-of select="@bindable" />
						</td>
					</tr>
					<tr>
						<td align="left" valign="top">
							<xsl:value-of select="$PatternsSpecificationMultiplicity" />
						</td>
						<td align="left" valign="top">
							<xsl:value-of select="@multiplicity" />
						</td>
					</tr>
					<tr>
						<td align="left" valign="top">
							<xsl:value-of select="$PatternsSpecificationID" />
						</td>
						<td align="left" valign="top">
							<xsl:value-of select="@parameterId" />
						</td>
					</tr>
				</table>
				<p/>
				<p>
					<xsl:value-of select="$Description" />
				</p>
				<blockquote>
				<xsl:value-of select="./description" disable-output-escaping="yes"/> 
				</blockquote>
			</xsl:for-each>
			</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>

