<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:defaultpatternprofile="http:///defaultpatternprofile.ecore" xmlns:defaultprofile="http:///defaultprofile.ecore" xmlns:xalan="org.apache.xalan.xslt.extensions.Redirect" extension-element-prefixes="xalan">
<!-- this stylesheet is really only a fragment. It uses variables that are 
	defined in a different file.  The two files are merged at runtime to create
	a full transform -->
	<xsl:output method="html" encoding="UTF-8" />
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<meta name="copyright" content="(C) Copyright IBM Corporation 2004" />
				<meta name="DC.rights.owner" content="(C) Copyright IBM Corporation 2004" />
				<meta name="security" content="public" />
				<meta name="Robots" content="index,follow" />
				<meta http-equiv="PICS-Label" content='(PICS-1.1 "http://www.icra.org/ratingsv02.html" l gen true r (cz 1 lz 1 nz 1 oz 1 vz 1) "http://www.rsac.org/ratingsv01.html" l gen true r (n 0 s 0 v 0 l 0) "http://www.classify.org/safesurf/" l gen true r (SS~~000 1))' />
				<meta name="DC.Format" content="XHTML" />
				<meta name="DC.Language" content="en-us" />
				<!-- All rights reserved. Licensed Materials Property of IBM -->
				<!-- US Government Users Restricted Rights -->
				<!-- Use, duplication or disclosure restricted by -->
				<!-- GSA ADP Schedule Contract with IBM Corp. -->
				<link rel="stylesheet" type="text/css" href="../../../../com.ibm.help.doc/ibmdita.css" />
				<link rel="stylesheet" type="text/css" href="../../../../com.ibm.help.doc/swg_info_common.css" />
				<title>
					<xsl:value-of select="$Title" />
				</title>
			</head>
			<body>
				<h1 class="topictitle">
					<xsl:value-of select="./defaultprofile:Asset/@name" />
				</h1>

				<div>
					<p>
						<xsl:value-of select="./defaultprofile:Asset/@shortDescription" />
					</p>
					<table cellpadding="4" cellspacing="0" summary="" class="skipspace" border="0">
						<tr>
							<td align="left" valign="top">
								<xsl:value-of select="$Version" />
							</td>
							<td align="left" valign="top">
								<xsl:value-of select="./defaultprofile:Asset/@version" />
							</td>
						</tr>
						<xsl:apply-templates select="./defaultprofile:Asset/classification/specification/propertyGroup" />

					</table>
					<p> 
						<xsl:value-of select="$PatternsSpecificationGroupPath" /> 
					<ul>
					<xsl:apply-templates select="./defaultprofile:Asset/classification/specification/groupPath" />
					</ul>
					</p>
				</div>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="groupPath">
		<li><xsl:value-of select="@name" /> </li>
	</xsl:template>
	
	<xsl:template match="propertyGroup">

		<xsl:for-each select="./property">
			<!--use a bunch of "when" tests because we do not want to 
				show all of the properties, just some -->
			<xsl:choose>
				<xsl:when test="@propertyId='patternType'">
					<tr>
						<td align="left" valign="top">
							<xsl:value-of select="$PatternsSpecificationType" />
						</td>
						<td align="left" valign="top">

							<xsl:value-of select="." />


						</td>
					</tr>
				</xsl:when>
				<xsl:when test="@propertyId='patternTargetType'">
					<tr>
						<td align="left" valign="top">
							<xsl:value-of select="$TargetTypes" />
						</td>
						<td align="left" valign="top">
							<xsl:value-of select="." />
						</td>
					</tr>
				</xsl:when>
				<xsl:when test="@propertyId='author'">
					<tr>
						<td align="left" valign="top">
							<xsl:value-of select="$Author" />
						</td>
						<td align="left" valign="top">
							<xsl:value-of select="." />
						</td>
					</tr>
				</xsl:when>
				<xsl:when test="@propertyId='keywords'">
					<tr>
						<td align="left" valign="top">
							<xsl:value-of select="$Keywords" />
						</td>
						<td align="left" valign="top">
							<xsl:value-of select="." />
						</td>
					</tr>
				</xsl:when>
				<xsl:when test="@propertyId='targetModelType'">
					<tr>
						<td align="left" valign="top">
							<xsl:value-of select="$TargetModelType" />
						</td>
						<td align="left" valign="top">
							<xsl:value-of select="." />
						</td>
					</tr>
				</xsl:when>
				<xsl:when test="@propertyId='sourceModelType'">
					<tr>
						<td align="left" valign="top">
							<xsl:value-of select="$SourceModelType" />
						</td>
						<td align="left" valign="top">
							<xsl:value-of select="." />
						</td>
					</tr>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>

