<?xml version="1.0" encoding="UTF-8"?>
<!--<html xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xsl:version="1.0">-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.8"
    xmlns:defaultpatternprofile="http:///defaultpatternprofile.ecore"
    xmlns:defaultprofile="http:///defaultprofile.ecore" xmlns:xmi="http://www.omg.org/XMI">
    <xsl:import href="DefaultProfileTransform.xsl"/>
    <!-- Matches the asset's extra sections (compared to default profile) and outputs the 
	     data for it-->
    <xsl:template match="specification">
        <div class="skipspace">
            <br/>
            <br/>
            <h4 class="sectiontitle">
                <xsl:value-of select="$Parameters" disable-output-escaping="yes"/>
            </h4>
            <p/>
            <xsl:for-each select="./parameter">
                <b>
                    <xsl:value-of select="@name"/>
                </b>
                <p>
                    <xsl:value-of select="@shortDescription"/>
                </p>
                <table cellpadding="4" cellspacing="0" summary=""
                    class="skipspace" border="0">
                    <tr>
                        <td align="left" valign="top">
                            <xsl:value-of select="$PatternsSpecificationType" disable-output-escaping="yes"/>
                        </td>
                        <td align="left" valign="top">
                            <xsl:value-of select="@type"/>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" valign="top">
                            <xsl:value-of select="$PatternsSpecificationVisible" disable-output-escaping="yes"/>
                        </td>
                        <td align="left" valign="top">
                            <xsl:value-of select="@bindable"/>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" valign="top">
                            <xsl:value-of
                                select="$PatternsSpecificationMultiplicity" disable-output-escaping="yes"/>
                        </td>
                        <td align="left" valign="top">
                            <xsl:value-of select="@multiplicity"/>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" valign="top">
                            <xsl:value-of select="$PatternsSpecificationID" disable-output-escaping="yes"/>
                        </td>
                        <td align="left" valign="top">
                            <xsl:value-of select="@parameterId"/>
                        </td>
                    </tr>
                </table>
                <p/>
            </xsl:for-each>
        </div>
        <div class="skipspace">
            <h4 class="sectiontitle">
                <xsl:value-of select="$Properties" disable-output-escaping="yes"/>
            </h4>
            <p/>
            <table cellpadding="4" cellspacing="0" summary="" class="skipspace" border="0">
                <tr>
                    <td align="left" valign="top">
                        <xsl:value-of select="$PatternsSpecificationGroupPath" disable-output-escaping="yes"/>
                    </td>
                    <td align="left" valign="top">
                        <xsl:value-of select="./groupPath/@name"/>
                    </td>
                </tr>
                <xsl:apply-templates select="./propertyGroup"/>
            </table>
        </div>
    </xsl:template>
    <xsl:template match="propertyGroup">
        <xsl:for-each select="./property">
            <!--commenting this out b/c it may be too much information for the user 
		<tr>
		<td align="left" valign="top">Name</td>
		<td align="left" valign="top"> <xsl:value-of select="@name" /></td>
		</tr>
		<tr>
		<td align="left" valign="top">Description</td>
		<td align="left" valign="top"> <xsl:value-of select="@shortDescription" /></td>
		</tr>
		<tr>
		<td align="left" valign="top">Value</td>
		<td align="left" valign="top"> <xsl:value-of select="."/></td>
		</tr>
		<tr>
		<td align="left" valign="top">ID</td>
		<td align="left" valign="top"> <xsl:value-of select="@propertyId" /></td>
		</tr>
		<tr>
		<td align="left" valign="top">Read Only</td>
		<td align="left" valign="top"> <xsl:value-of select="@readOnly" /></td>
		</tr>
		-->
            <tr>
                <td align="left" valign="top">
                    <xsl:value-of select="@name"/>
                </td>
                <td align="left" valign="top">
                    <xsl:value-of select="."/>
                </td>
            </tr>
        </xsl:for-each>
    </xsl:template>
    <!-- overriden default template for classification to pull out values from specification -->
    <xsl:template match="classification">
        <hr/>
        <a name="Classification"/>
        <h2>
            <xsl:value-of select="$Classification" disable-output-escaping="yes"/>
        </h2>
        <br/>
        <xsl:value-of select="$ClassificationDescription" disable-output-escaping="yes"/>
        <br/>
        <br/>
        <xsl:apply-templates select="specification"/>
        <xsl:for-each select="context">
            <a name="{@name}"/>
            <b>
                <xsl:value-of select="@name" disable-output-escaping="yes"/>
                <xsl:if test="@id"> (<xsl:value-of select="@id"
                disable-output-escaping="yes"/>)</xsl:if> : </b>
            <blockquote>
                <xsl:if test="description">
                    <xsl:value-of select="description" disable-output-escaping="yes"/>
                    <br/>
                    <br/>
                </xsl:if>
                <xsl:apply-templates select="descriptorGroup"/>
                <br/>
            </blockquote>
        </xsl:for-each>
        <br/>
        <br/>
    </xsl:template>
</xsl:stylesheet>
